## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanCollationServices::CollationCompareFunctor Class Reference

Inheritance diagram for XalanCollationServices::CollationCompareFunctor:

[legend]
List of all members.

## Public Member Functions

- CollationCompareFunctor ()
- virtual ~CollationCompareFunctor ()
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, eCaseOrder theCaseOrder=eDefault) const=0
- virtual int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, eCaseOrder theCaseOrder=eDefault) const=0

## Constructor & Destructor Documentation

XalanCollationServices::CollationCompareFunctor::CollationCompareFunctor | ( |  | ) |

virtual XalanCollationServices::CollationCompareFunctor::~CollationCompareFunctor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int XalanCollationServices::CollationCompareFunctor::operator() | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | const XalanDOMChar * | theLocale,
|  | eCaseOrder | theCaseOrder = eDefault
| ) | const`[pure virtual]`

virtual int XalanCollationServices::CollationCompareFunctor::operator() | ( | const XalanDOMChar * | theLHS,
|  | const XalanDOMChar * | theRHS,
|  | eCaseOrder | theCaseOrder = eDefault
| ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- XalanCollationServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.